#



#> UI.Main
    # summon npc "origins-p"
    summon npc ~~~ origins:hidden "origins-p"

    execute @s ~~~ stopsound @s mob.villager.death
    execute @s ~~~ stopsound @s mob.villager.haggle
    execute @s ~~~ stopsound @s mob.villager.hit
    execute @s ~~~ stopsound @s mob.villager.idle
    execute @s ~~~ stopsound @s mob.villager.no
    execute @s ~~~ stopsound @s mob.villager.yes
    execute @s ~~~ stopsound @s mob.zombie_villager.death
    execute @s ~~~ stopsound @s mob.zombie_villager.hurt
    execute @s ~~~ stopsound @s mob.zombie_villager.say
    execute @s ~~~ playsound random.toast


    tag @s add personal-ui
    effect @s instant_health 9999 255 true
    effect @s saturation 9999 255 true
    # effect @s

#> Tick.1
    # tag @s remove setup
    tag @s remove picked
    tag @s remove in
    tag @s remove UI-back
    tag @s remove UI-back-once
    tag @s remove in-settings
    tag @s remove settings-loaded
    tag @s remove sUI-back
    effect @s clear

#> Tick.10
    tag @s remove reset
    tag @s remove repick
    tag @s remove restart


#> Animation Controllers (  -animation_controllers/death.json  -animation_controllers/grounded.json  -animation_controllers/interact.json  -animation_controllers/jump.json  -animation_controllers/looking.json  -animation_controllers/moving.json  -animation_controllers/shift.json  -animation_controllers/sprint.json  -animation_controllers/using.json  -animation_controllers/water.json)
    tag @s remove died
    tag @s remove grounded
    tag @s remove random-teleport-a
    tag @s remove watertank-a
    tag @s remove bucket
    tag @s remove shield-m
    tag @s remove shield-o
    tag @s remove c-chicken
    tag @s remove r-chicken
    tag @s remove c-pork
    tag @s remove r-pork
    tag @s remove c-beef
    tag @s remove r-beef
    tag @s remove c-mutton
    tag @s remove r-mutton
    tag @s remove c-rabbit
    tag @s remove r-rabbit
    tag @s remove c-cod
    tag @s remove r-cod
    tag @s remove c-salmon
    tag @s remove r-salmon
    tag @s remove pufferfish
    tag @s remove rabbit_stew
    tag @s remove rotten_flesh
    tag @s remove tropical_fish
    tag @s remove enchanted_golden_apple
    tag @s remove golden_apple
    tag @s remove apple
    tag @s remove potato
    tag @s remove baked_potato
    tag @s remove poisonous_potato
    tag @s remove beetroot
    tag @s remove beetroot_soup
    tag @s remove bread
    tag @s remove carrot
    tag @s remove golden_carrot
    tag @s remove suspicious_stew
    tag @s remove chorus_fruit
    tag @s remove dried_kelp
    tag @s remove melon_slice
    tag @s remove pumpkin_pie
    tag @s remove sweet_berries
    tag @s remove glow_berries
    tag @s remove cake
    tag @s remove cookie
    tag @s remove honey_bottle
    tag @s remove slime_ball
    tag @s remove sugar
    tag @s remove jump
    tag @s remove looking-up
    tag @s remove looking-down
    tag @s remove moving
    tag @s remove shift
    tag @s remove sprint
    tag @s remove using
    tag @s remove water


#> UI.main (/dialogue/newscene.json)
    scoreboard players reset @s UI-Location
    scoreboard players reset @s UI-Wait


#> UI.settings (/dialogue/settings.json)
    scoreboard players reset @s s-UI-location
    scoreboard players reset @s settings-UI-wait


#> Entitys.player (entities/player.json)
    event entity @s clear-all-groups


#> Setting.oneperperson
    execute @s[tag=arachnid]   ~~~ kill @e[name="asetting-opp-arachnid"]
    execute @s[tag=avian]      ~~~ kill @e[name="asetting-opp-avian"]
    execute @s[tag=blazeborn]  ~~~ kill @e[name="asetting-opp-blazeborn"]
    execute @s[tag=bumblebee]  ~~~ kill @e[name="asetting-opp-bumblebee"]
    execute @s[tag=elytrian]   ~~~ kill @e[name="asetting-opp-elytrian"]
    execute @s[tag=enderian]   ~~~ kill @e[name="asetting-opp-enderian"]
    execute @s[tag=feline]     ~~~ kill @e[name="asetting-opp-feline"]
    execute @s[tag=fox]        ~~~ kill @e[name="asetting-opp-fox"]
    execute @s[tag=inchling]   ~~~ kill @e[name="asetting-opp-inchling"]
    execute @s[tag=merling]    ~~~ kill @e[name="asetting-opp-merling"]
    execute @s[tag=phantom]    ~~~ kill @e[name="asetting-opp-phantom"]
    execute @s[tag=shulk]      ~~~ kill @e[name="asetting-opp-shulk"]
    execute @s[tag=slime]      ~~~ kill @e[name="asetting-opp-slime"]
    execute @s[tag=starborne]  ~~~ kill @e[name="asetting-opp-starborne"]
    execute @s[tag=allay]      ~~~ kill @e[name="asetting-opp-allay"]
    execute @s[tag=beacon]     ~~~ kill @e[name="asetting-opp-beacon"]
    execute @s[tag=butternian] ~~~ kill @e[name="asetting-opp-butternian"]
    execute @s[tag=cowlin]     ~~~ kill @e[name="asetting-opp-cowlin"]
    execute @s[tag=goatling]   ~~~ kill @e[name="asetting-opp-goatling"]
    execute @s[tag=guardian]   ~~~ kill @e[name="asetting-opp-guardian"]
    execute @s[tag=medic]      ~~~ kill @e[name="asetting-opp-medic"]
    execute @s[tag=moleian]    ~~~ kill @e[name="asetting-opp-moleian"]
    execute @s[tag=turtle]     ~~~ kill @e[name="asetting-opp-turtle"]


#> Origins
tag @s remove human
    # n/a lol

tag @s remove avian
    tag @s remove lightweight
        event entity @s lightweight-a
    tag @s remove doublejump
        scoreboard players reset @s doublejump
        tag @s remove jumped1
        tag @s remove jumped2
        tag @s remove jumped3
        event entity @s doublejump-r
    tag @s remove no-meat
        # // I think i'll redo this

tag @s remove arachnid
    tag @s remove climb
        tag @s remove air03-1
        tag @s remove air03-2
        tag @s remove air03-3
        tag @s remove air03-4
    tag @s remove web
        scoreboard players reset @s web
        tag @s remove use
    tag @s remove only-meat
        # // I want to redo this too

tag @s remove elytrian
    replaceitem entity @s[tag=elytra] slot.armor.chest 0 air 1 0
    tag @s remove elytra
    tag @s remove launch
        scoreboard players reset @s launch
    tag @s remove falldamage-2x
    tag @s remove falldamage-1.5x
        event entity @s falldamage-reset
    tag @s remove claustrophobia
        tag @s remove claustrophobia-a
    # tag @s remove weak

tag @s remove shulk
    tag @s remove resistance
    tag @s remove random-teleport
        scoreboard players reset @s random-teleport
        clear @s origins:random-teleport
    tag @s remove slowness
    replaceitem entity @s[tag=no-helmet] slot.armor.head 0 air 1 0
    tag @s remove no-helmet 

tag @s remove feline
    tag @s remove scary-cat
        event entity @s scary-cat-r
    tag @s remove falldamage-none
    # seems to not reset properly 
        event entity @s falldamage-reset
    tag @s remove longjump
    tag @s remove hydrophobic-less
    tag @s remove 9-hearts
        event entity @s 10-hearts

tag @s remove enderian
    tag @s remove enderman
        event entity @s enderman-r
    tag @s remove teleport
        tag @s remove teleport-a
        clear @s origins:ender_pearl-a
    tag @s remove hydrophobic
        event entity @s hydrophobic-r

tag @s remove merling
    tag @s remove fishlungs
        tag @s remove fishlungs-a
        event entity @s fishlungs-r
    tag @s remove watertank
        scoreboard players reset @s watertank
        tag @s remove watertank-a
        tag @s remove watertank-o
        tag @s remove watertank-b
        clear @s origins:watertank1
        clear @s origins:watertank2
        clear @s origins:watertank3
        clear @s origins:watertank4
        clear @s origins:watertank5
        clear @s origins:watertank6
        clear @s origins:watertank7
        clear @s origins:watertank8
        clear @s origins:watertank9
        clear @s origins:watertank10
        clear @s origins:removed
    tag @s remove water-vision
        fog @s remove water-vision
    # effect @s water_breathing 3 0 true
    tag @s remove firedamage-2x
        event entity @s firedamage-reset
    tag @s remove swimfast
        event entity @s swimfast-r
    tag @s remove waterbreak
        tag @s remove waterbreak-floatHaste
        tag @s remove waterbreak-groundHaste
        tag @s remove waterbreak-resetHaste

tag @s remove blazeborn
    tag @s remove firedamage-none
        event entity @s firedamage-reset
    tag @s remove fireball
        tag @s remove fireball-a
        clear @s origins:shoot
    tag @s remove hydrophobic
        event entity @s hydrophobic-r
    tag @s remove fire-heals
        scoreboard players reset @s fire-heals
        tag @s remove fire-heals-a
    tag @s remove 8-hearts
        event entity @s 10-hearts


tag @s remove phantom
    tag @s remove speed
    tag @s remove ghost
        tag @s remove ghost-a
        tag @s remove ghost-i
        clear @s origins:ghost
        clear @s origins:human
        event entity @s sunburn-r

tag @s remove fox
    tag @s remove fast
    tag @s remove highjump
    tag @s remove hungry

tag @s remove slimecican
    tag @s remove slime
        tag @s remove slime-o
        scoreboard players reset @s slime
        tag @s remove slime-small
        tag @s remove slime-big
        event entity @s scale-r
    tag @s remove super-bounce
        scoreboard players reset @s super-bounce
        tag @s remove slime-jumped
        tag @s remove self
        tag @s remove slime-remove
    tag @s remove slowness2


tag @s remove starborne
    tag @s remove night-vision
    tag @s remove low-speed
    tag @s remove star-launch
        scoreboard players reset @s star-launch
        kill @e[name="sl-1"]
        kill @e[name="sl-2"]
        kill @e[type=origins:boom]
    tag @s remove firedamage-2x
        event entity @s firedamage-reset
    tag @s remove death-explosion
        scoreboard players reset @s death-explosion
        tag @s remove death-explosion-t

tag @s remove inchling
    tag @s remove size-.25x
        event entity @s size-1x
    tag @s remove sugar-high
        scoreboard players reset @s sugar-high
        scoreboard players reset @s sugar-high-a
        scoreboard players reset @s sugar-high-r
        scoreboard players reset @s sugar-high-t
        tag @s remove on-sugar-high
    tag @s remove sticky
        scoreboard players reset @s sticky
        scoreboard players reset @s sticky-a
        scoreboard players reset @s sticky-t
        tag @s remove climb
        tag @s remove on-sticky
    tag @s remove 5-hearts
        event entity @s 10-hearts

tag @s remove bumblebee
    tag @s remove pollination
        scoreboard players reset @s pollination
        tag @s remove in-flower
    tag @s remove fly
    tag @s remove hydrophobic-less

tag @s remove allay
    tag @s remove item-reach
    tag @s remove fly
    tag @s remove strong
    tag @s remove size-.35x
        event entity @s size-1x
    tag @s remove no-meat

tag @s remove beacon
    tag @s remove chaos
        scoreboard players reset @s chaos
        tag @s remove damaged
    tag @s remove harmony
        scoreboard players reset @s harmony
        tag @s remove damaged2
    tag @s remove blessed
        scoreboard players reset @s blessed
        scoreboard players reset @s blessed-r
    tag @s remove 6-hearts
        event entity @s 10-hearts

tag @s remove butternian
    tag @s remove speed-4
    tag @s remove saturation
    tag @s remove hot-stuff
        scoreboard players reset @s hot-stuff
        tag @s remove hot-stuff-i
        clear @s origins:burn
    tag @s remove size-.75x
        event entity @s size-1x
    tag @s remove falldamage-2x--and--firedamage-2x
        event entity @s falldamage-reset
        event entity @s firedamage-reset
    tag @s remove 7-hearts
        event entity @s 10-hearts
    tag @s remove weak

tag @s remove cowlin
    tag @s remove udders
    tag @s remove milk
    tag @s remove peaceful
    tag @s remove no-meat
    tag @s remove weak

tag @s remove goatling
    tag @s remove falldamage-none
        event entity @s falldamage-reset
        kill @e[name="leap-1"]
        kill @e[name="leap-2"]
    tag @s remove leap
    tag @s remove no-meat

tag @s remove guardian
    tag @s remove swimfast
        event entity @s swimfast-r
    tag @s remove thorns
        event entity @s damage_detection-r
    tag @s remove nofeet
    tag @s remove noarms

tag @s remove medic
    tag @s remove healthy
    tag @s remove doctor
        scoreboard players reset @s doctor
    tag @s remove weak-stomach

tag @s remove moleian
    tag @s remove dark-night-vision
        tag @s remove indark
    tag @s remove size-.75x
        event entity @s size-1x
    tag @s remove haste
    tag @s remove dark-strength
        tag @s remove indark
    tag @s remove rawmeat-buff
        scoreboard players reset @s rawmeat-buff
    tag @s remove cookedmeat-con
        scoreboard players reset @s cookedmeat-con
    tag @s remove only-meat
    tag @s remove photophobia
        tag @s remove inlight
    tag @s remove 5-hearts
        event entity @s 10-hearts
    tag @s remove weak-lungs
    tag @s remove unwieldy
        tag @s remove shield-m
        tag @s remove shield-o

tag @s remove turtle
    tag @s remove 15-hearts
        event entity @s 10-hearts
    tag @s remove resistance
    tag @s remove swimfast
        event entity @s swimfast-r
    tag @s remove land-slowness
    tag @s remove hungry

#> Hearts and Size
    tag @s remove 1-hearts
    tag @s remove 2-hearts
    tag @s remove 3-hearts
    tag @s remove 4-hearts
    tag @s remove 5-hearts
    tag @s remove 6-hearts
    tag @s remove 7-hearts
    tag @s remove 8-hearts
    tag @s remove 9-hearts
    tag @s remove 10-hearts
    tag @s remove 11-hearts
    tag @s remove 12-hearts
    tag @s remove 13-hearts
    tag @s remove 14-hearts
    tag @s remove 15-hearts
    tag @s remove size-.25x
    tag @s remove size-.50x
    tag @s remove size-.75x
    tag @s remove size-1x
    tag @s remove size-1.25x
    tag @s remove size-1.50x
    tag @s remove size-2x

#> dlc

    tag @s remove custom.abilities
    tag @s remove dlc

#> Other
    scoreboard players reset @s asetting-tips
    tag @s remove tip-arachnid
    tag @s remove tip-elytrian
    tag @s remove tip-slimecican
    tag @s remove tip-starborne
    tag @s remove no-30s-tip


event entity @s clear-all-groups
effect @s fire_resistance 1 0 true